# QFuture Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QFuture()
- void QFuture(QFuture other)
- void QFuture(QFuture other)

### Constructor Properties

- prototype: The QFuture prototype object

### Prototype Object Properties

- void cancel()
- bool isCanceled()
- bool isFinished()
- bool isPaused()
- bool isRunning()
- bool isStarted()
- bool operator_equal(QFuture other)
- void pause()
- int progressMaximum()
- int progressMinimum()
- String progressText()
- int progressValue()
- int resultCount()
- void resume()
- void setPaused(bool paused)
- void togglePaused()
- void waitForFinished()

### Instance Properties

QFuture objects have no special properties beyond those inherited from the QFuture prototype object.